org.eclipse.cdt.core.dom.ast

## Class ASTSignatureUtil

- java.lang.Object
- - org.eclipse.cdt.core.dom.ast.ASTSignatureUtil

Deprecated.
The class is provided for testing purposes, only. It should not be used by clients. Within CDT it is recommended to use `ASTStringUtil`, instead.

    @Deprecated
    public class ASTSignatureUtil
    extends Object

This is a utility class to help convert AST elements to Strings corresponding to the AST element's signature.

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`ASTSignatureUtil()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `getBinaryOperatorString(IASTBinaryExpression be)` Deprecated. Returns the String representation of the IASTBinaryExpression's operator.
`static String` `getCastOperatorString(IASTCastExpression expression)` Deprecated. Returns the String representation of the IASTCastExpression's operator.
`static String` `getExpressionString(IASTExpression expression)` Deprecated. Return a string representation for the given IASTExpression.
`static String` `getInitializerString(IASTInitializer init)` Deprecated. This function is used to return the signature of an IASTInitializer.
`static String` `getNodeSignature(IASTNode node)` Deprecated. Return's the String representation of a node's type (if available).
`static String` `getParameterSignature(IASTDeclarator decltor)` Deprecated. Returns the parameter signature for an IASTDeclarator as a comma separated list wrapped in parenthesis.
`static String[]` `getParameterSignatureArray(IASTDeclarator decltor)` Deprecated. Returns a String[] corresponding to the signatures of individual parameters for an IASTDeclarator.
`static String` `getProblemMessage(int problemID, String detail)` Deprecated.
`static String` `getSignature(IASTDeclarator declarator)` Deprecated. Returns the String signature corresponding to an IASTDeclarator.
`static String` `getSignature(IASTDeclSpecifier declSpec)` Deprecated. Returns the String representation of the signature for the IASTDeclSpecifier.
`static String` `getSignature(IASTTypeId typeId)` Deprecated. Returns the String representation of the signature for the IASTTypeId.
`static String` `getUnaryOperatorString(IASTUnaryExpression ue)` Deprecated. Returns the String representation of the IASTUnaryExpression's operator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTSignatureUtil

    public ASTSignatureUtil()

Deprecated.

### Method Detail

#### getNodeSignature

    public static String getNodeSignature(IASTNode node)

Deprecated.
Return's the String representation of a node's type (if available). This is currently only being used for testing.

Parameters:
  `node` -

#### getParameterSignature

    public static String getParameterSignature(IASTDeclarator decltor)

Deprecated.
Returns the parameter signature for an IASTDeclarator as a comma separated list wrapped in parenthesis. This method uses ASTSignatureUtil#getParametersSignatureArray(IASTArray) to build a comma separated list of the parameter's signatures and then wraps them in parenthesis.

Parameters:
  `decltor` -
Returns:
  the parameter signature for an IASTDeclarator as a comma separated list wrapped in parenthesis

#### getParameterSignatureArray

    public static String[] getParameterSignatureArray(IASTDeclarator decltor)

Deprecated.
Returns a String[] corresponding to the signatures of individual parameters for an IASTDeclarator.

Parameters:
  `decltor` -
Returns:
  a String[] corresponding to the signatures of individual parameters for an IASTDeclarator

#### getInitializerString

    public static String getInitializerString(IASTInitializer init)

Deprecated.
This function is used to return the signature of an IASTInitializer.

Parameters:
  `init` - an initializer
Returns:
  the signature of an IASTInitializer

#### getSignature

    public static String getSignature(IASTDeclarator declarator)

Deprecated.
Returns the String signature corresponding to an IASTDeclarator. This includes the signature of the parameters which is built via ASTSignatureUtil#getParameterSignature(IASTDeclarator) if the declarator is for a function.

Parameters:
  `declarator` -
Returns:
  the String signature corresponding to an IASTDeclarator

#### getSignature

    public static String getSignature(IASTDeclSpecifier declSpec)

Deprecated.
Returns the String representation of the signature for the IASTDeclSpecifier.

Parameters:
  `declSpec` -
Returns:
  the String representation of the signature for the IASTDeclSpecifier

#### getSignature

    public static String getSignature(IASTTypeId typeId)

Deprecated.
Returns the String representation of the signature for the IASTTypeId.

Parameters:
  `typeId` -
Returns:
  the String representation of the signature for the IASTTypeId

#### getExpressionString

    public static String getExpressionString(IASTExpression expression)

Deprecated.
Return a string representation for the given IASTExpression. Expressions having an extension kind should provide their own toString method which will be called by this.

Parameters:
  `expression` -
Returns:
  a string representation for the given IASTExpression

#### getCastOperatorString

    public static String getCastOperatorString(IASTCastExpression expression)

Deprecated.
Returns the String representation of the IASTCastExpression's operator.

Parameters:
  `expression` -
Returns:
  the String representation of the IASTCastExpression's operator

#### getUnaryOperatorString

    public static String getUnaryOperatorString(IASTUnaryExpression ue)

Deprecated.
Returns the String representation of the IASTUnaryExpression's operator.

Parameters:
  `ue` -
Returns:
  the String representation of the IASTUnaryExpression's operator

#### getBinaryOperatorString

    public static String getBinaryOperatorString(IASTBinaryExpression be)

Deprecated.
Returns the String representation of the IASTBinaryExpression's operator.

Parameters:
  `be` -
Returns:
  the String representation of the IASTBinaryExpression's operator

#### getProblemMessage

    public static String getProblemMessage(int problemID,
                                           String detail)

Deprecated.